/* module-key = 'com.atlassian.confluence.plugins.confluence-frontend:split_table-styles-editor', location = 'table-styles-editor.css' */
/* Neutrals */
/* Colors */
/* Miscellaneous */
/*
    Mixin for the main clickable area on a split button
 */
/*
    Split buttons (and their drop-downs) require all sorts of custom styling.
    These buttons have IDs on them but we nest the rules beneath #rte-toolbar
    so that they have enough specificity to override the 'default' styles
    applied in editor-toolbar.less.
 */
#rte-toolbar #color-picker-control {
  float: none;
}
#rte-toolbar #color-picker-control .aui-button {
  background-color: transparent;
  margin-right: 0;
  border-radius: 3px 0 0 3px;
  margin-left: 0;
  padding-right: 3px;
  transition: background-color 0.1s ease-out;
}
#rte-toolbar #color-picker-control:hover .aui-button {
  background-color: var(--aui-button-default-hover-bg-color, rgba(9, 30, 66, 0.08));
}
#rte-toolbar #color-picker-control:active .aui-button {
  background-color: var(--ds-background-selected, #deebff);
}
#rte-toolbar #color-picker-control:active .aui-button .aui-icon {
  color: var(--ds-icon-selected, #0052cc);
}
#rte-toolbar #color-picker-control .aui-dd-parent a.toolbar-trigger {
  border-color: transparent;
  border-width: 1px;
  border-left-style: solid;
  border-radius: 0 3px 3px 0;
  width: 15px;
  margin-right: 1px;
}
#rte-toolbar #color-picker-control .aui-dd-parent a.toolbar-trigger:after {
  right: -1px;
}
#rte-toolbar #color-picker-control .aui-dd-parent a.toolbar-trigger span {
  width: 9px;
}
#rte-toolbar #color-picker-control .aui-dd-parent.active a.toolbar-trigger,
#rte-toolbar #color-picker-control .dd-allocated.active a.toolbar-trigger {
  background-color: var(--ds-background-selected, #344563);
}
#rte-toolbar #color-picker-control .color-picker-container {
  position: absolute;
  left: -18px;
}
#rte-toolbar #color-picker-control div.color-picker {
  left: -11px;
  position: absolute;
  overflow: auto;
  padding: 6px;
  width: 220px;
}
#rte-toolbar #color-picker-control div.color-picker ul {
  list-style: none;
  margin: 0;
  padding: 0;
}
#rte-toolbar #color-picker-control div.color-picker ul li {
  display: inline;
  float: left;
  height: 16px;
  line-height: 16px;
  padding: 2px;
  width: 16px;
  border: 1px solid transparent;
  border-radius: 2px;
}
#rte-toolbar #color-picker-control div.color-picker ul li a {
  border: 1px solid var(--ds-border, #ddd);
  border-radius: 2px;
  display: block;
  height: 14px;
  line-height: 14px;
  padding: 0px;
  text-align: justify;
  width: 14px;
}
#rte-toolbar #color-picker-control div.color-picker ul li:hover {
  border: 1px solid var(--ds-border-focused, #ddd);
}
#rte-toolbar #table-highlight-group {
  background-color: inherit;
}
#rte-toolbar #table-highlight-group .aui-button {
  background-color: transparent;
  margin-right: 0;
  border-radius: 3px 0 0 3px;
  margin-left: 0;
  padding-right: 3px;
  transition: background-color 0.1s ease-out;
}
#rte-toolbar #table-highlight-group:hover .aui-button {
  background-color: var(--aui-button-default-hover-bg-color, rgba(9, 30, 66, 0.08));
}
#rte-toolbar #table-highlight-group:active .aui-button {
  background-color: var(--ds-background-selected, #deebff);
}
#rte-toolbar #table-highlight-group:active .aui-button .aui-icon {
  color: var(--ds-icon-selected, #0052cc);
}
#rte-toolbar #table-highlight-group .aui-dd-parent a.toolbar-trigger {
  border-color: transparent;
  border-width: 1px;
  border-left-style: solid;
  border-radius: 0 3px 3px 0;
  width: 15px;
  margin-right: 1px;
}
#rte-toolbar #table-highlight-group .aui-dd-parent a.toolbar-trigger:after {
  right: -1px;
}
#rte-toolbar #table-highlight-group .aui-dd-parent a.toolbar-trigger span {
  width: 9px;
}
#rte-toolbar #table-highlight-group .aui-dd-parent.active a.toolbar-trigger,
#rte-toolbar #table-highlight-group .dd-allocated.active a.toolbar-trigger {
  background-color: var(--ds-background-selected, #344563);
}
#rte-toolbar #table-highlight-group .aui-button {
  vertical-align: top;
}
#rte-toolbar #table-highlight-group .aui-button .icon {
  height: 20px;
}
#rte-toolbar #table-highlight-group .aui-button .highlight-indicator {
  position: absolute;
  padding: 0;
  width: 16px;
  height: 3px;
  margin: 15px 0 0 -17px;
}
#rte-toolbar #table-highlight-group #table-highlight-colour {
  float: none;
}
#rte-toolbar #table-highlight-group #table-highlight-colour .toolbar-trigger {
  width: 15px;
  box-sizing: border-box;
}
#rte-toolbar #table-highlight-group #table-highlight-colour .toolbar-trigger::after {
  margin-left: -11px;
}
#rte-toolbar #table-highlight-group #table-highlight-colour .aui-dropdown {
  overflow: auto;
  padding: 4px;
  width: 198px;
  min-width: 0;
  /* CONFDEV-8832 - On default sets a min-width of 150px - wtf! */
  left: -27px;
}
#rte-toolbar #table-highlight-group #table-highlight-colour ul.table-highlight-picker {
  list-style: none;
  margin: 0;
  padding: 0;
}
#rte-toolbar #table-highlight-group #table-highlight-colour ul.table-highlight-picker li {
  display: inline;
  float: left;
  height: 16px;
  line-height: 16px;
  padding: 2px;
  width: 16px;
  border: 1px solid transparent;
  border-radius: 2px;
}
#rte-toolbar #table-highlight-group #table-highlight-colour ul.table-highlight-picker li a {
  border: 1px solid var(--ds-border, #ccc);
  border-radius: 2px;
  display: block;
  height: 14px;
  line-height: 14px;
  padding: 0px;
  text-align: justify;
  width: 14px;
}
#rte-toolbar #table-highlight-group #table-highlight-colour ul.table-highlight-picker li:hover {
  border: 1px solid var(--ds-border-focused, #ddd);
}
#table-highlight-group .highlight-indicator {
  background-color: var(--ds-background-accent-gray-subtlest, #dfe1e6);
}
#table-highlight-group .table-highlight-picker a {
  background-color: var(--ds-background-accent-gray-subtlest, #f4f5f7);
}
#table-highlight-group.highlight-\#bf2600 .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#bf2600 {
  background-color: var(--ds-background-accent-red-bolder-pressed, #bf2600);
}
#table-highlight-group.highlight-\#de350b .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#de350b {
  background-color: var(--ds-background-accent-red-bolder-hovered, #de350b);
}
#table-highlight-group.highlight-\#ff5630 .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#ff5630 {
  background-color: var(--ds-background-accent-red-bolder, #ff5630);
}
#table-highlight-group.highlight-\#ff7452 .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#ff7452 {
  background-color: var(--ds-chart-red-bolder, #ff7452);
}
#table-highlight-group.highlight-\#ff8f73 .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#ff8f73 {
  background-color: var(--ds-background-accent-red-subtler-pressed, #ff8f73);
}
#table-highlight-group.highlight-\#ffbdad .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#ffbdad {
  background-color: var(--ds-background-accent-red-subtlest-hovered, #ffbdad);
}
#table-highlight-group.highlight-\#ffebe6 .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#ffebe6 {
  background-color: var(--ds-background-accent-red-subtlest, #ffebe6);
}
#table-highlight-group.highlight-\#ff8b00 .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#ff8b00 {
  background-color: var(--ds-text-accent-yellow-bolder, #ff8b00);
}
#table-highlight-group.highlight-\#ff991f .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#ff991f {
  background-color: var(--ds-chart-yellow-bolder-hovered, #ff991f);
}
#table-highlight-group.highlight-\#ffab00 .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#ffab00 {
  background-color: var(--ds-background-accent-yellow-bolder, #ffab00);
}
#table-highlight-group.highlight-\#ffc400 .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#ffc400 {
  background-color: var(--ds-chart-yellow-bold, #ffc400);
}
#table-highlight-group.highlight-\#ffe380 .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#ffe380 {
  background-color: var(--ds-background-accent-yellow-subtler-pressed, #ffe380);
}
#table-highlight-group.highlight-\#fff0b3 .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#fff0b3 {
  background-color: var(--ds-background-accent-yellow-subtlest-hovered, #fff0b3);
}
#table-highlight-group.highlight-\#fffae6 .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#fffae6 {
  background-color: var(--ds-background-accent-yellow-subtlest, #fffae6);
}
#table-highlight-group.highlight-\#702e00 .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#702e00 {
  background-color: var(--ds-background-accent-orange-bolder-pressed, #702e00);
}
#table-highlight-group.highlight-\#a54800 .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#a54800 {
  background-color: var(--ds-background-accent-orange-bolder-hovered, #a54800);
}
#table-highlight-group.highlight-\#c25100 .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#c25100 {
  background-color: var(--ds-background-accent-orange-bolder, #c25100);
}
#table-highlight-group.highlight-\#e56910 .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#e56910 {
  background-color: var(--ds-chart-orange-bold, #e56910);
}
#table-highlight-group.highlight-\#fea362 .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#fea362 {
  background-color: var(--ds-background-accent-orange-subtler-pressed, #fea362);
}
#table-highlight-group.highlight-\#fedec8 .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#fedec8 {
  background-color: var(--ds-background-accent-orange-subtlest-hovered, #fedec8);
}
#table-highlight-group.highlight-\#fff3eb .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#fff3eb {
  background-color: var(--ds-background-accent-orange-subtlest, #fff3eb);
}
#table-highlight-group.highlight-\#006644 .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#006644 {
  background-color: var(--ds-background-accent-green-bolder-pressed, #006644);
}
#table-highlight-group.highlight-\#00875a .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#00875a {
  background-color: var(--ds-background-accent-green-bolder-hovered, #00875a);
}
#table-highlight-group.highlight-\#36b37e .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#36b37e {
  background-color: var(--ds-background-accent-green-bolder, #36b37e);
}
#table-highlight-group.highlight-\#57d9a3 .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#57d9a3 {
  background-color: var(--ds-chart-green-bold, #57d9a3);
}
#table-highlight-group.highlight-\#79f2c0 .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#79f2c0 {
  background-color: var(--ds-background-accent-green-subtler-pressed, #79f2c0);
}
#table-highlight-group.highlight-\#abf5d1 .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#abf5d1 {
  background-color: var(--ds-background-accent-green-subtlest-hovered, #abf5d1);
}
#table-highlight-group.highlight-\#e3fcef .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#e3fcef {
  background-color: var(--ds-background-accent-green-subtlest, #e3fcef);
}
#table-highlight-group.highlight-\#008da6 .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#008da6 {
  background-color: var(--ds-background-accent-teal-bolder-pressed, #008da6);
}
#table-highlight-group.highlight-\#00a3bf .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#00a3bf {
  background-color: var(--ds-background-accent-teal-bolder-hovered, #00a3bf);
}
#table-highlight-group.highlight-\#00b8d9 .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#00b8d9 {
  background-color: var(--ds-background-accent-teal-bolder, #00b8d9);
}
#table-highlight-group.highlight-\#00c7e6 .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#00c7e6 {
  background-color: var(--ds-chart-teal-bold, #00c7e6);
}
#table-highlight-group.highlight-\#79e2f2 .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#79e2f2 {
  background-color: var(--ds-background-accent-teal-subtler-pressed, #79e2f2);
}
#table-highlight-group.highlight-\#b3f5ff .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#b3f5ff {
  background-color: var(--ds-background-accent-teal-subtlest-hovered, #b3f5ff);
}
#table-highlight-group.highlight-\#e6fcff .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#e6fcff {
  background-color: var(--ds-background-accent-teal-subtlest, #e6fcff);
}
#table-highlight-group.highlight-\#0747a6 .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#0747a6 {
  background-color: var(--ds-background-accent-blue-bolder-pressed, #0747a6);
}
#table-highlight-group.highlight-\#0052cc .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#0052cc {
  background-color: var(--ds-background-accent-blue-bolder-hovered, #0052cc);
}
#table-highlight-group.highlight-\#0065ff .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#0065ff {
  background-color: var(--ds-background-accent-blue-bolder, #0065ff);
}
#table-highlight-group.highlight-\#2684ff .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#2684ff {
  background-color: var(--ds-chart-blue-bold, #2684ff);
}
#table-highlight-group.highlight-\#4c9aff .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#4c9aff {
  background-color: var(--ds-background-accent-blue-subtler-pressed, #4c9aff);
}
#table-highlight-group.highlight-\#b3d4ff .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#b3d4ff {
  background-color: var(--ds-background-accent-blue-subtlest-hovered, #b3d4ff);
}
#table-highlight-group.highlight-\#deebff .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#deebff {
  background-color: var(--ds-background-accent-blue-subtlest, #deebff);
}
#table-highlight-group.highlight-\#50253f .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#50253f {
  background-color: var(--ds-background-accent-magenta-bolder-pressed, #50253f);
}
#table-highlight-group.highlight-\#943d73 .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#943d73 {
  background-color: var(--ds-background-accent-magenta-bolder-hovered, #943d73);
}
#table-highlight-group.highlight-\#ae4787 .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#ae4787 {
  background-color: var(--ds-background-accent-magenta-bolder, #ae4787);
}
#table-highlight-group.highlight-\#da62ac .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#da62ac {
  background-color: var(--ds-chart-magenta-bold, #da62ac);
}
#table-highlight-group.highlight-\#e774bb .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#e774bb {
  background-color: var(--ds-background-accent-magenta-subtle, #e774bb);
}
#table-highlight-group.highlight-\#fdd0ec .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#fdd0ec {
  background-color: var(--ds-background-accent-magenta-subtlest-hovered, #fdd0ec);
}
#table-highlight-group.highlight-\#ffecf8 .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#ffecf8 {
  background-color: var(--ds-background-accent-magenta-subtlest, #ffecf8);
}
#table-highlight-group.highlight-\#403294 .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#403294 {
  background-color: var(--ds-background-accent-purple-bolder-pressed, #403294);
}
#table-highlight-group.highlight-\#5243aa .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#5243aa {
  background-color: var(--ds-background-accent-purple-bolder-hovered, #5243aa);
}
#table-highlight-group.highlight-\#6554c0 .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#6554c0 {
  background-color: var(--ds-background-accent-purple-bolder, #6554c0);
}
#table-highlight-group.highlight-\#8777d9 .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#8777d9 {
  background-color: var(--ds-chart-purple-bold, #8777d9);
}
#table-highlight-group.highlight-\#998dd9 .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#998dd9 {
  background-color: var(--ds-background-accent-purple-subtler-pressed, #998dd9);
}
#table-highlight-group.highlight-\#c0b6f2 .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#c0b6f2 {
  background-color: var(--ds-background-accent-purple-subtlest-hovered, #c0b6f2);
}
#table-highlight-group.highlight-\#eae6ff .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#eae6ff {
  background-color: var(--ds-background-accent-purple-subtlest, #eae6ff);
}
#table-highlight-group.highlight-\#000000 .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#000000 {
  background-color: var(--ds-background-accent-gray-bolder-pressed, #000000);
}
#table-highlight-group.highlight-\#172b4d .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#172b4d {
  background-color: var(--ds-background-accent-gray-bolder-hovered, #172b4d);
}
#table-highlight-group.highlight-\#42526e .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#42526e {
  background-color: var(--ds-background-accent-gray-bolder, #42526e);
}
#table-highlight-group.highlight-\#7a869a .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#7a869a {
  background-color: var(--ds-chart-gray-bold, #7a869a);
}
#table-highlight-group.highlight-\#c1c7d0 .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#c1c7d0 {
  background-color: var(--ds-background-accent-gray-subtlest-pressed, #c1c7d0);
}
#table-highlight-group.highlight-\#f4f5f7 .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#f4f5f7 {
  background-color: var(--ds-surface-hovered, #f4f5f7);
}
#table-highlight-group.highlight-\#091e42 .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#091e42 {
  background-color: var(--ds-elevation-surface, #091e42);
}
#table-highlight-group.highlight-\#000000 .highlight-indicator,
#table-highlight-group .table-highlight-picker a.highlight-\#000000 {
  background-color: var(--ds-background-accent-gray-bolder-pressed, #000000);
}
#table-highlight-group[data-remove-highlight='true'] .highlight-indicator,
#table-highlight-group .table-highlight-picker a[data-remove-highlight='true'] {
  background-color: transparent;
}

@media only screen and (max-width: 1024px) {
  .contenteditor #draft-status {
    display: none !important;
  }
}
#toolbar {
  /* 'insert' section of the toolbar should group its buttons closer together,
        two IDs required so that styles are preserved on hover */
}
#toolbar li.toolbar-item,
#toolbar #rte-button-color,
#toolbar #rte-button-more,
#toolbar #rte-button-link,
#toolbar #rte-button-insert-table,
#toolbar #rte-button-insert,
#toolbar #rte-button-pagelayout,
#toolbar #rte-button-pagelayout-2,
#toolbar #rte-button-insert-template {
  padding: 0 6px;
}
#toolbar #rte-button-more .icon-dropdown {
  margin-left: 3px;
}
#toolbar #insert-menu-options {
  left: -6px;
}
#toolbar #rte-button-link .trigger-text,
#toolbar #confluence-insert-files > .trigger-text,
#toolbar #insert-table-dropdown .dropdown-text,
#toolbar #insert-menu .dropdown-text,
#toolbar #rte-button-insert-template .dropdown-text {
  display: none;
}
#toolbar #rte-button-link .icon-dropdown,
#toolbar #insert-table-dropdown .icon-dropdown,
#toolbar #insert-menu .icon-dropdown,
#toolbar #rte-button-pagelayout .icon-dropdown,
#toolbar #rte-button-insert-template .icon-dropdown {
  width: 22px;
  margin-left: 0;
  padding-right: 0;
}
#toolbar #rte-button-pagelayout .icon-layout {
  margin-top: 2px;
}
#toolbar #rte-button-insert,
#toolbar #rte-button-link {
  margin: 0 -6px;
}
#toolbar li#insert-table-dropdown,
#toolbar #pagelayout-menu,
#toolbar #page-layout-2,
#toolbar #table-highlight-colour,
#toolbar #format-dropdown,
#toolbar #template-menu {
  padding: 0;
}
#toolbar #rte-toolbar-row-default .aui-button,
#toolbar #rte-button-cancel.shared-drafts {
  /* button.aui-button height is 28px with default styles */
  height: 26px;
  padding: 0 6px;
}

